/* ------------------------------------------------------------------------ */
/* --                HTML Generator Class                                -- */
/* --                creates dynamically HTML Output                     -- */
/* --                                                                    -- */
/* --                Thomas Jungmann thj@gmx.net                         -- */
/* --                28th November 2000                                  -- */
/* --                                                                    -- */
/* ------------------------------------------------------------------------ */


::CLASS HTMLgen PUBLIC

    ::METHOD printHeader
        parse arg title
        sq = d2c(39)
        say "content-type:text/html"
        say
        say "<HTML>"
        say "<HEAD><TITLE>"||title||"</TITLE></HEAD>"
        say "<BODY BGCOLOR="||sq||"#D0D0D0"||sq||" TEXT="||sq||"#006600"||sq||">"

    ::METHOD printNav
        parse arg sid
        say "<H1 ALIGN=CENTER>The Web Calendar</H1>"
        say "<P>"
        say self~hyperlink("calserv.cgi?action=overview&sid="||sid,'Current Month')
        say "&nbsp;"
        say self~hyperlink("calserv.cgi?action=newentry&sid="||sid,'New Entry')
        say "&nbsp;"
--      say self~hyperlink("calserv.cgi?action=gotoform&sid="||sid,'Go To Month')
--      say "&nbsp;"
        say self~hyperlink("calserv.cgi?action=logout&sid="||sid,'Logout')
        say "<P>&nbsp;<HR>"

    ::METHOD headline
        parse arg text,hsize,align
        if align='ALIGN' | align='' then align = 'LEFT'
        if datatype(hsize) \= 'NUM' then hsize=1
        return ("<H"||hsize||" ALIGN="||align||">"||text||"</H"||hsize||">")
    
    ::METHOD paragraph
        parse arg text,align
        if align='ALIGN' then align = 'LEFT'
        return ("<P ALIGN="||align||">"||text||"</P>")
    
    ::METHOD hyperlink
        parse arg href,caption
        sq = d2c(39)
        return ("<A HREF="||sq||href||sq||">"||caption||"</A>")
        
    ::METHOD tabdata
        parse arg text,colour
        if colour=0 then colour='#FFFFCC'
        else colour='#FFFF99'
        return ('<td bgcolor="'||colour||'" valign="TOP" align="LEFT">'||text||'</td>')
        
    ::METHOD fixedSpaceStart
        return '<P><PRE>'
        
    ::METHOD fixedSpaceEnd
        return '</PRE>'

    ::METHOD out    
        use arg text
        say text
        return
        
    ::METHOD continueButton
        use arg sid
        sq = d2c(39)
        say '<P><FORM ACTION='||sq||'calserv.cgi'||sq||' METHOD="GET">'
        say '<INPUT TYPE='||sq||'HIDDEN'||sq||' NAME='||sq||'action'||sq||' VALUE='||sq||'overview'||sq||'>'
        say '<INPUT TYPE='||sq||'HIDDEN'||sq||' NAME='||sq||'sid'||sq||' VALUE='||sid||'>'
        say '<INPUT TYPE='||sq||'SUBMIT'||sq||' VALUE='||sq||'Continue'||sq||'>'
        say '</FORM>'
        return

    ::METHOD printTail
        say '<P>&nbsp;'
        say '<HR>'
        say '<P>Go back to ' self~hyperlink('../logon.html','Logon-Page')
        say "</BODY></HTML>"
